For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETList Subkeys
        • POSTRegister Subkey
        • POSTActivate pending subkey
        • GETGet Subkey
        • PUTUpdate Subkey
        • DELRevoke Subkey
        • PUTUpdate subkey IP allowlist
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceSubkey

Activate pending subkey

POST
https://api.prod.paradex.trade/v1/account/keys/subkeys/activate
POST
/v1/account/keys/subkeys/activate
$curl -X POST https://api.prod.paradex.trade/v1/account/keys/subkeys/activate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "account_id": "0x1234567890abcdef",
> "public_key": "0x3d9f2b2e5f50c1aade60ca540368cd7490160f41270c192c05729fe35b656a9",
> "signature": [
> "[\"0xr...\"",
> "\"0xs...\"]"
> ],
> "timestamp": 1706400000
>}'
1{
2 "encrypted_key": "0xabc..."
3}

Activate a pending subkey by providing a Starknet signature over pedersen(timestamp, eph_public_key).

Was this page helpful?
Previous

Get Subkey

Next
Built with

Request

Subkey activation request
account_idstringRequired
Account ID that the pending subkey belongs to.
public_keystringRequired
Public key of the pending subkey to activate.
signaturelist of stringsRequired

Starknet signature [r, s] over pedersen(timestamp, eph_public_key).

timestampintegerRequired

Unix timestamp (seconds) included in signed message.

namestringOptional

Optional: New name for the subkey upon activation.

Response

OK
encrypted_keystring
Encrypted private key returned to client.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error